# For complete documentation of this file, please see Geany's main documentation
[styling]
# Edit these in the colorscheme .conf file instead
default=default
comment=comment
commentline=comment_line
commentdoc=comment_doc
number=number_1
word=keyword_1
word2=keyword_2
string=string_1
character=character
operator=operator
identifier=identifier_1
quotedidentifier=identifier_2

[keywords]
# all items must be in one line
primary=accept access add advancing after alphabet also alternate and are ascending assign at author before bottom by call cancel cbl cd cf ch class clock-units close cobol code code-set collating communications compute configuration continue control converting copy corr corresponding count currency data de declare debug-contents debug-item debug-line debug-name debug-sub-1 debug-sub-2 debug-sub-3 debugging declaratives delete delimited delimiter depending descending destination detail disable display divide division down duplicates egi eject else emi enable end end-add end-call end-compute end-delete end-divide end-evaluate end-exec end-if end-multiply end-of-page end-perform end-read end-receive end-return end-rewrite end-search end-start end-string end-subtract end-unstring end-write environment equal error esi evaluate every exception exec exit extend fd fetch file file-control final first footing for from generate giving go goback group heading i-o i-o-control identification if in indicate initial initialize initiate input-output insert inspect installation into is just justified last left linkage local-storage lock memory merge message mode move multiple multiply native negative next no not object-computer occurs of off on open optimize optional or order other overflow padding perform pf ph pic picture plus position positive printing procedure proceed program program-id purge recording rd read receive redefines reel relative release remainder removal renames replace replacing report reporting reports rerun reserve reset return returning reversed rewind rewrite rf rh right rounded same sd search section security segment segment-limited select send sentence separate sequence sequential set sign skip sort sort-merge source source-computer special-names sql start string subtract sum suppress symbolic sync synchronized tallying tape terminal terminate test text than then through thru to top trailing type union unit unstring until update upon usage use using value values varying when where with working-storage write
secondary=address all alphabetic alphabetic-lower alphabetic-upper alphanumeric alphanumeric-edited any area areas argument-value asc binary blank block char character characters column comma commarea common comp comp-0 comp-1 comp-2 comp-3 comp-4 comp-5 comp-6 comp-7 comp-8 comp-9 computational computational-0 computational-1 computational-2 computational-3 computational-4 computational-5 computational-6 computational-7 computational-8 computational-9 content current cursor d date date-compiled date-written day day-of-week decimal decimal-point desc distinct dynamic environment-value external f false filler global greater high-value high-values hold id include index indexed input integer key leading length label less low-value low-values modules null nulls number numeric numeric-edited omitted only organization output packed-decimal page page-counter pointer procedures queue quote quotes random record records reference references row rows screen size smallint space spaces sqlca sqlcode standard standard-1 standard-2 status sub-queue-1 sub-queue-2 sub-queue-3 table time times timestamp true up words zero zeroes zeros s9 x xx xxx xxxx xxxxx xxxxxx z z9 zz zz9 zzz zzz9 zzzz zzzz9 zzzzz zzzzz9 zzzzzz zzzzzz9 zzzzzzz zzzzzzz9 zzzzzzzz zzzzzzzz9 zzzzzzzzz zzzzzzzzz9 zzzzzzzzzz zzzzzzzzzz9 zzzzzzzzzzz zzzzzzzzzzz9 zzzzzzzzzzzz zzzzzzzzzzzz9 zzzzzzzzzzzzz zzzzzzzzzzzzz9 zzzzzzzzzzzzzz zzzzzzzzzzzzzz9 zzzzzzzzzzzzzzz zzzzzzzzzzzzzzz9

[settings]
# default extension used when saving files
extension=cob

# MIME type
mime_type=text/x-cobol

# the following characters are these which a "word" can contains, see documentation
#wordchars=_abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789

# single comments, like # in this file
comment_single=*>
# multiline comments
#comment_open=
#comment_close=

# set to false if a comment character/string should start at column 0 of a line, true uses any
# indentation of the line, e.g. setting to true causes the following on pressing CTRL+d
	#command_example();
# setting to false would generate this
#	command_example();
# This setting works only for single line comments
comment_use_indent=false

# context action command (please see Geany's main documentation for details)
context_action_cmd=

[indentation]
#width=4
# 0 is spaces, 1 is tabs, 2 is tab & spaces
#type=1
